Utföra en databastilläggsåtgärd, till exempel databasimport, databasexport eller polybaseimport
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/extensions/{extensionName}?api-version=2025-01-01
URI-parametrar
| Name |
I |
Obligatorisk |
Typ |
Description |
|
databaseName
|
path |
True
|
string
|
Namnet på databasen.
|
|
extensionName
|
path |
True
|
string
|
|
|
resourceGroupName
|
path |
True
|
string
minLength: 1 maxLength: 90
|
Namnet på resursgruppen. Namnet är skiftlägesokänsligt.
|
|
serverName
|
path |
True
|
string
|
Namnet på servern.
|
|
subscriptionId
|
path |
True
|
string
(uuid)
|
ID för målprenumerationen. Värdet måste vara ett UUID.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
Den API-version som ska användas för den här åtgärden.
|
Begärandetext
| Name |
Obligatorisk |
Typ |
Description |
|
properties.operationMode
|
True
|
OperationMode
|
Åtgärdsläge för åtgärden: Import, Export eller PolybaseImport.
|
|
properties.storageKey
|
True
|
string
|
Lagringsnyckel för lagringskontot. Om StorageKeyType är ManagedIdentity ska det här fältet ange den hanterade identitetens resurs-ID.
|
|
properties.storageKeyType
|
True
|
StorageKeyType
|
Typ av lagringsnyckel: StorageAccessKey, SharedAccessKey eller ManagedIdentity.
|
|
properties.storageUri
|
True
|
string
|
Lagrings-URI för lagringskontot.
|
|
properties.administratorLogin
|
|
string
|
Administratörens inloggningsnamn. Om AuthenticationType är ManagedIdentity ska det här fältet ange den hanterade identitetens resurs-ID.
|
|
properties.administratorLoginPassword
|
|
string
(password)
|
Administratörens inloggningslösenord. Om AuthenticationType är ManagedIdentity ska det här fältet inte anges.
|
|
properties.authenticationType
|
|
string
|
Autentiseringstyp som används för att komma åt SQL: Sql, ADPassword eller ManagedIdentity.
|
|
properties.databaseEdition
|
|
string
|
Databasutgåva för den nyligen skapade databasen i händelse av en importåtgärd.
|
|
properties.maxSizeBytes
|
|
string
|
Databasens maximala storlek i byte för den nyligen skapade databasen vid en importåtgärd.
|
|
properties.networkIsolation
|
|
NetworkIsolationSettings
|
Valfri resursinformation för att aktivera nätverksisolering för begäran.
|
|
properties.serviceObjectiveName
|
|
string
|
Databastjänstnivåmål för den nyligen skapade databasen vid en importåtgärd.
|
Svar
| Name |
Typ |
Description |
|
200 OK
|
ImportExportExtensionsOperationResult
|
Resursen 'ImportExportExtensionsOperationResult' uppdateringsoperation lyckades
|
|
202 Accepted
|
|
Resursåtgärden har godkänts.
Sidhuvuden
- Location: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Ett oväntat felsvar.
|
Säkerhet
azure_auth
Azure Active Directory OAuth2 Flow.
Typ:
oauth2
Flow:
implicit
Auktoriseringswebbadress:
https://login.microsoftonline.com/common/oauth2/authorize
Omfattningar
| Name |
Description |
|
user_impersonation
|
personifiera ditt användarkonto
|
Exempel
Create or Update database extensions.
Exempelbegäran
PUT https://management.azure.com/subscriptions/a1c0814d-3c18-4e1e-a247-c128c12b1677/resourceGroups/rg_20cbe0f0-c2d9-4522-9177-5469aad53029/providers/Microsoft.Sql/servers/srv_1ffd1cf8-9951-47fb-807d-a9c384763849/databases/878e303f-1ea0-4f17-aa3d-a22ac5e9da08/extensions/polybaseimport?api-version=2025-01-01
{
"properties": {
"operationMode": "PolybaseImport",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
*/
/**
* Sample code: Create or Update database extensions.
*
* @param manager Entry point to SqlServerManager.
*/
public static void createOrUpdateDatabaseExtensions(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_20cbe0f0-c2d9-4522-9177-5469aad53029", "srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"878e303f-1ea0-4f17-aa3d-a22ac5e9da08", "polybaseimport",
new DatabaseExtensions().withOperationMode(OperationMode.POLYBASE_IMPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python create_or_update_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_20cbe0f0-c2d9-4522-9177-5469aad53029",
server_name="srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
database_name="878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
extension_name="polybaseimport",
parameters={
"properties": {
"operationMode": "PolybaseImport",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/CreateOrUpdateDatabaseExtensions.json
*/
async function createOrUpdateDatabaseExtensions() {
const credential = new DefaultAzureCredential();
const subscriptionId = "a1c0814d-3c18-4e1e-a247-c128c12b1677";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_20cbe0f0-c2d9-4522-9177-5469aad53029",
"srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
"polybaseimport",
{
operationMode: "PolybaseImport",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/CreateOrUpdateDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "a1c0814d-3c18-4e1e-a247-c128c12b1677";
string resourceGroupName = "rg_20cbe0f0-c2d9-4522-9177-5469aad53029";
string serverName = "srv_1ffd1cf8-9951-47fb-807d-a9c384763849";
string databaseName = "878e303f-1ea0-4f17-aa3d-a22ac5e9da08";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "polybaseimport";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.PolybaseImport,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"name": "polybaseimport",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/a1c0814d-3c18-4e1e-a247-c128c12b1677/resourceGroups/rg_20cbe0f0-c2d9-4522-9177-5469aad53029/providers/Microsoft.Sql/servers/srv_1ffd1cf8-9951-47fb-807d-a9c384763849/databases/878e303f-1ea0-4f17-aa3d-a22ac5e9da08/extensions/polybaseimport",
"properties": {
"databaseName": "878e303f-1ea0-4f17-aa3d-a22ac5e9da08",
"lastModifiedTime": "lastModifiedTime",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "PolybaseImport",
"serverName": "srv_1ffd1cf8-9951-47fb-807d-a9c384763849",
"status": "succeeded"
}
}
Export database using database extension with Managed Identity.
Exempelbegäran
PUT https://management.azure.com/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export?api-version=2025-01-01
{
"properties": {
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"operationMode": "Export",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
*/
/**
* Sample code: Export database using database extension with Managed Identity.
*
* @param manager Entry point to SqlServerManager.
*/
public static void exportDatabaseUsingDatabaseExtensionWithManagedIdentity(
com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157", "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68", "Export",
new DatabaseExtensions().withOperationMode(OperationMode.EXPORT)
.withStorageKeyType(StorageKeyType.MANAGED_IDENTITY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin(
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName")
.withAuthenticationType("ManagedIdentity"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python export_database_using_database_extensions_with_managed_identity.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
server_name="srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
database_name="db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
extension_name="Export",
parameters={
"properties": {
"administratorLogin": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"authenticationType": "ManagedIdentity",
"operationMode": "Export",
"storageKey": "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
"storageKeyType": "ManagedIdentity",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
*/
async function exportDatabaseUsingDatabaseExtensionWithManagedIdentity() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
"srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"Export",
{
administratorLogin:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
authenticationType: "ManagedIdentity",
operationMode: "Export",
storageKey:
"/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
storageKeyType: "ManagedIdentity",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ExportDatabaseUsingDatabaseExtensionsWithManagedIdentity.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
string resourceGroupName = "rg_d1ef9eae-044d-4710-ba59-b82e84ad3157";
string serverName = "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c";
string databaseName = "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Export";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Export,
StorageKeyType = StorageKeyType.ManagedIdentity,
StorageKey = "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "/subscriptions/00000000-1111-2222-3333-444444444444/resourcegroups/rgName/providers/Microsoft.ManagedIdentity/userAssignedIdentities/identityName",
AuthenticationType = "ManagedIdentity",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"name": "Export",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Export",
"serverName": "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"status": "Completed"
}
}
Export database using database extension.
Exempelbegäran
PUT https://management.azure.com/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export?api-version=2025-01-01
{
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Export",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
*/
/**
* Sample code: Export database using database extension.
*
* @param manager Entry point to SqlServerManager.
*/
public static void exportDatabaseUsingDatabaseExtension(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157", "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68", "Export",
new DatabaseExtensions().withOperationMode(OperationMode.EXPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin("login").withAdministratorLoginPassword("fakeTokenPlaceholder")
.withAuthenticationType("Sql"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python export_database_using_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
server_name="srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
database_name="db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
extension_name="Export",
parameters={
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Export",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ExportDatabaseUsingDatabaseExtensions.json
*/
async function exportDatabaseUsingDatabaseExtension() {
const credential = new DefaultAzureCredential();
const subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_d1ef9eae-044d-4710-ba59-b82e84ad3157",
"srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"Export",
{
administratorLogin: "login",
administratorLoginPassword: "password",
authenticationType: "Sql",
operationMode: "Export",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ExportDatabaseUsingDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf";
string resourceGroupName = "rg_d1ef9eae-044d-4710-ba59-b82e84ad3157";
string serverName = "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c";
string databaseName = "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Export";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Export,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "login",
AdministratorLoginPassword = "password",
AuthenticationType = "Sql",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"name": "Export",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/0ca8cd24-0b47-4ad5-bc7e-d70e35c44adf/resourceGroups/rg_d1ef9eae-044d-4710-ba59-b82e84ad3157/providers/Microsoft.Sql/servers/srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c/databases/db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68/extensions/Export",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_7fe424c8-23cf-4ac3-bdc3-e21f424bdb68",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Export",
"serverName": "srv_9243d320-ac4e-4f97-8e06-b1167dae5f4c",
"status": "Completed"
}
}
Import database using database extension.
Exempelbegäran
PUT https://management.azure.com/subscriptions/17ca4d13-bf7d-4c33-a60e-b87a2820a325/resourceGroups/rg_062866bf-c4f4-41f9-abf0-b59132ca7924/providers/Microsoft.Sql/servers/srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82/databases/db_2a47e946-e414-4c00-94ac-ed886bb78302/extensions/Import?api-version=2025-01-01
{
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Import",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"
}
}
import com.azure.resourcemanager.sql.models.DatabaseExtensions;
import com.azure.resourcemanager.sql.models.OperationMode;
import com.azure.resourcemanager.sql.models.StorageKeyType;
/**
* Samples for DatabaseExtensionsOperation CreateOrUpdate.
*/
public final class Main {
/*
* x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
*/
/**
* Sample code: Import database using database extension.
*
* @param manager Entry point to SqlServerManager.
*/
public static void importDatabaseUsingDatabaseExtension(com.azure.resourcemanager.sql.SqlServerManager manager) {
manager.serviceClient().getDatabaseExtensionsOperations().createOrUpdate(
"rg_062866bf-c4f4-41f9-abf0-b59132ca7924", "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"db_2a47e946-e414-4c00-94ac-ed886bb78302", "Import",
new DatabaseExtensions().withOperationMode(OperationMode.IMPORT)
.withStorageKeyType(StorageKeyType.STORAGE_ACCESS_KEY).withStorageKey("fakeTokenPlaceholder")
.withStorageUri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml")
.withAdministratorLogin("login").withAdministratorLoginPassword("fakeTokenPlaceholder")
.withAuthenticationType("Sql"),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.sql import SqlManagementClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-sql
# USAGE
python import_database_using_database_extensions.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = SqlManagementClient(
credential=DefaultAzureCredential(),
subscription_id="SUBSCRIPTION_ID",
)
response = client.database_extensions.begin_create_or_update(
resource_group_name="rg_062866bf-c4f4-41f9-abf0-b59132ca7924",
server_name="srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
database_name="db_2a47e946-e414-4c00-94ac-ed886bb78302",
extension_name="Import",
parameters={
"properties": {
"administratorLogin": "login",
"administratorLoginPassword": "password",
"authenticationType": "Sql",
"operationMode": "Import",
"storageKey": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"storageKeyType": "StorageAccessKey",
"storageUri": "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
}
},
).result()
print(response)
# x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { SqlManagementClient } = require("@azure/arm-sql");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to perform a database extension operation, like database import, database export, or polybase import
*
* @summary perform a database extension operation, like database import, database export, or polybase import
* x-ms-original-file: 2025-01-01/ImportDatabaseUsingDatabaseExtensions.json
*/
async function importDatabaseUsingDatabaseExtension() {
const credential = new DefaultAzureCredential();
const subscriptionId = "17ca4d13-bf7d-4c33-a60e-b87a2820a325";
const client = new SqlManagementClient(credential, subscriptionId);
const result = await client.databaseExtensionsOperations.createOrUpdate(
"rg_062866bf-c4f4-41f9-abf0-b59132ca7924",
"srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"db_2a47e946-e414-4c00-94ac-ed886bb78302",
"Import",
{
administratorLogin: "login",
administratorLoginPassword: "password",
authenticationType: "Sql",
operationMode: "Import",
storageKey:
"xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
storageKeyType: "StorageAccessKey",
storageUri: "https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml",
},
);
console.log(result);
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
using Azure;
using Azure.ResourceManager;
using System;
using System.Collections.Generic;
using System.Threading.Tasks;
using Azure.Core;
using Azure.Identity;
using Azure.ResourceManager.Models;
using Azure.ResourceManager.Sql.Models;
using Azure.ResourceManager.Sql;
// Generated from example definition: specification/sql/resource-manager/Microsoft.Sql/SQL/stable/2025-01-01/examples/ImportDatabaseUsingDatabaseExtensions.json
// this example is just showing the usage of "DatabaseExtensions_CreateOrUpdate" operation, for the dependent resources, they will have to be created separately.
// get your azure access token, for more details of how Azure SDK get your access token, please refer to https://learn.microsoft.com/en-us/dotnet/azure/sdk/authentication?tabs=command-line
TokenCredential cred = new DefaultAzureCredential();
// authenticate your client
ArmClient client = new ArmClient(cred);
// this example assumes you already have this SqlDatabaseResource created on azure
// for more information of creating SqlDatabaseResource, please refer to the document of SqlDatabaseResource
string subscriptionId = "17ca4d13-bf7d-4c33-a60e-b87a2820a325";
string resourceGroupName = "rg_062866bf-c4f4-41f9-abf0-b59132ca7924";
string serverName = "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82";
string databaseName = "db_2a47e946-e414-4c00-94ac-ed886bb78302";
ResourceIdentifier sqlDatabaseResourceId = SqlDatabaseResource.CreateResourceIdentifier(subscriptionId, resourceGroupName, serverName, databaseName);
SqlDatabaseResource sqlDatabase = client.GetSqlDatabaseResource(sqlDatabaseResourceId);
// invoke the operation
string extensionName = "Import";
SqlDatabaseExtension sqlDatabaseExtension = new SqlDatabaseExtension
{
OperationMode = DatabaseExtensionOperationMode.Import,
StorageKeyType = StorageKeyType.StorageAccessKey,
StorageKey = "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
StorageUri = new Uri("https://teststorage.blob.core.windows.net/testcontainer/Manifest.xml"),
AdministratorLogin = "login",
AdministratorLoginPassword = "password",
AuthenticationType = "Sql",
};
ArmOperation<ImportExportExtensionsOperationResult> lro = await sqlDatabase.CreateOrUpdateDatabaseExtensionAsync(WaitUntil.Completed, extensionName, sqlDatabaseExtension);
ImportExportExtensionsOperationResult result = lro.Value;
Console.WriteLine($"Succeeded: {result}");
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Exempelsvar
{
"name": "Import",
"type": "Microsoft.Sql/servers/databases/extensions",
"id": "/subscriptions/17ca4d13-bf7d-4c33-a60e-b87a2820a325/resourceGroups/rg_062866bf-c4f4-41f9-abf0-b59132ca7924/providers/Microsoft.Sql/servers/srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82/databases/db_2a47e946-e414-4c00-94ac-ed886bb78302/extensions/Import",
"properties": {
"blobUri": "https://teststorage.blob.core.windows.net/testcontainer/samplebacpac.bacpac",
"databaseName": "db_2a47e946-e414-4c00-94ac-ed886bb78302",
"lastModifiedTime": "lastModifiedTime",
"privateEndpointConnections": [],
"queuedTime": "09/10/2021 18:35:10",
"requestId": "10000000-0000-0000-0000-000000000002",
"requestType": "Import",
"serverName": "srv_2d6be2d2-26c8-4930-8fb6-82a5e95e0e82",
"status": "Completed"
}
}
Definitioner
createdByType
Uppräkning
Den typ av identitet som skapade resursen.
| Värde |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
DatabaseExtensions
Objekt
En import-, export- eller PolybaseImport-resurs.
| Name |
Typ |
Description |
|
id
|
string
(arm-id)
|
Fullständigt kvalificerat resurs-ID för resursen. T.ex. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Namnet på resursen
|
|
properties.administratorLogin
|
string
|
Administratörens inloggningsnamn. Om AuthenticationType är ManagedIdentity ska det här fältet ange den hanterade identitetens resurs-ID.
|
|
properties.administratorLoginPassword
|
string
(password)
|
Administratörens inloggningslösenord. Om AuthenticationType är ManagedIdentity ska det här fältet inte anges.
|
|
properties.authenticationType
|
string
|
Autentiseringstyp som används för att komma åt SQL: Sql, ADPassword eller ManagedIdentity.
|
|
properties.databaseEdition
|
string
|
Databasutgåva för den nyligen skapade databasen i händelse av en importåtgärd.
|
|
properties.maxSizeBytes
|
string
|
Databasens maximala storlek i byte för den nyligen skapade databasen vid en importåtgärd.
|
|
properties.networkIsolation
|
NetworkIsolationSettings
|
Valfri resursinformation för att aktivera nätverksisolering för begäran.
|
|
properties.operationMode
|
OperationMode
|
Åtgärdsläge för åtgärden: Import, Export eller PolybaseImport.
|
|
properties.serviceObjectiveName
|
string
|
Databastjänstnivåmål för den nyligen skapade databasen vid en importåtgärd.
|
|
properties.storageKey
|
string
|
Lagringsnyckel för lagringskontot. Om StorageKeyType är ManagedIdentity ska det här fältet ange den hanterade identitetens resurs-ID.
|
|
properties.storageKeyType
|
StorageKeyType
|
Typ av lagringsnyckel: StorageAccessKey, SharedAccessKey eller ManagedIdentity.
|
|
properties.storageUri
|
string
|
Lagrings-URI för lagringskontot.
|
|
systemData
|
systemData
|
Azure Resource Manager-metadata som innehåller creationBy och modifiedBy-information.
|
|
type
|
string
|
Resurstypen. T.ex. "Microsoft. Compute/virtualMachines" eller "Microsoft. Storage/storageAccounts"
|
ErrorAdditionalInfo
Objekt
Resurshanteringsfelet ytterligare information.
| Name |
Typ |
Description |
|
info
|
object
|
Den ytterligare informationen.
|
|
type
|
string
|
Typen av ytterligare information.
|
ErrorDetail
Objekt
Detaljerna om felet.
| Name |
Typ |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Felet ytterligare information.
|
|
code
|
string
|
Felkoden.
|
|
details
|
ErrorDetail[]
|
Felinformationen.
|
|
message
|
string
|
Felmeddelandet.
|
|
target
|
string
|
Felmålet.
|
ErrorResponse
Objekt
Felsvar
ImportExportExtensionsOperationResult
Objekt
En resultatresurs för tilläggsåtgärden.
| Name |
Typ |
Description |
|
id
|
string
(arm-id)
|
Fullständigt kvalificerat resurs-ID för resursen. T.ex. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"
|
|
name
|
string
|
Namnet på resursen
|
|
properties.blobUri
|
string
|
Blob-URI.
|
|
properties.databaseName
|
string
|
Databasnamn.
|
|
properties.errorMessage
|
string
|
Felmeddelande.
|
|
properties.lastModifiedTime
|
string
|
Senast ändrad tid.
|
|
properties.privateEndpointConnections
|
PrivateEndpointConnectionRequestStatus[]
|
Hämtar status för privata slutpunkter som är associerade med den här begäran.
|
|
properties.queuedTime
|
string
|
Köad tid.
|
|
properties.requestId
|
string
(uuid)
|
Begärande-ID.
|
|
properties.requestType
|
string
|
Typ av begäran.
|
|
properties.serverName
|
string
|
Servernamn.
|
|
properties.status
|
string
|
Åtgärdsstatus.
|
|
systemData
|
systemData
|
Azure Resource Manager-metadata som innehåller creationBy och modifiedBy-information.
|
|
type
|
string
|
Resurstypen. T.ex. "Microsoft. Compute/virtualMachines" eller "Microsoft. Storage/storageAccounts"
|
NetworkIsolationSettings
Objekt
Innehåller DE ARM-resurser som du vill skapa en privat slutpunktsanslutning för.
| Name |
Typ |
Description |
|
sqlServerResourceId
|
string
(arm-id)
|
Resurs-ID:t för SQL-servern som är målet för den här begäran. Om den anges skapas en privat slutpunktsanslutning för SQL-servern. Måste matcha servern som är målet för åtgärden.
|
|
storageAccountResourceId
|
string
(arm-id)
|
Resurs-ID:t för lagringskontot som används för att lagra BACPAC-filen. Om det anges skapas en privat slutpunktsanslutning för lagringskontot. Måste matcha lagringskontot som används för parametern StorageUri.
|
OperationMode
Uppräkning
Åtgärdsläge för åtgärden: Import, Export eller PolybaseImport.
| Värde |
Description |
|
PolybaseImport
|
PolybaseImport
|
|
Import
|
Importera
|
|
Export
|
Export
|
PrivateEndpointConnectionRequestStatus
Objekt
Innehåller status för privata slutpunktsanslutningsbegäranden.
| Name |
Typ |
Description |
|
privateEndpointConnectionName
|
string
|
Anslutningsnamnet för den privata slutpunkten.
|
|
privateLinkServiceId
|
string
|
Resurs-ID som den privata slutpunkten skapas för.
|
|
status
|
string
|
Status för den här privata slutpunktsanslutningen.
|
StorageKeyType
Uppräkning
Typ av lagringsnyckel: StorageAccessKey, SharedAccessKey eller ManagedIdentity.
| Värde |
Description |
|
SharedAccessKey
|
SharedAccessKey
|
|
StorageAccessKey
|
StorageAccessKey
|
|
ManagedIdentity
|
ManagedIdentity
|
systemData
Objekt
Metadata som rör skapande och senaste ändring av resursen.
| Name |
Typ |
Description |
|
createdAt
|
string
(date-time)
|
Tidsstämpeln för resursskapande (UTC).
|
|
createdBy
|
string
|
Identiteten som skapade resursen.
|
|
createdByType
|
createdByType
|
Den typ av identitet som skapade resursen.
|
|
lastModifiedAt
|
string
(date-time)
|
Tidsstämpeln för senaste ändring av resurs (UTC)
|
|
lastModifiedBy
|
string
|
Identiteten som senast ändrade resursen.
|
|
lastModifiedByType
|
createdByType
|
Den typ av identitet som senast ändrade resursen.
|